# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2013 E-MIPS (http://www.e-mips.com.ar) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name": "Import Clearance",
    "version": "8.0.1.0.1",
    "author": "E-MIPS",
    "website": "http://www.eynes.com.ar",
    "description": """
    """,
    "depends": [
        'sale',
        'purchase',
        'stock',
        'l10n_ar_account_payment',
        'l10n_ar_point_of_sale',
        'l10n_ar_perceptions_basic',
        'l10n_ar_invoice_currency',
        'import_export_base',
    ],
    "data": [
        'security/clearance_security.xml',
        'security/ir.model.access.csv',
        'wizard/create_clearance_invoice_view.xml',
        'wizard/create_from_invoice_view.xml',
        'wizard/expense_template_use_view.xml',
        'wizard/add_expense_invoice_view.xml',
        'report/advancement_report_view.xml',
        'views/clearance_view.xml',
        'views/purchase_view.xml',
        'views/expense_templates_view.xml',
        'views/product_view.xml',
        'views/stock_view.xml',
        'views/invoice_view.xml',
        'views/menuitems.xml',
    ],
    'demo': [
        'demo/clearance_demo.xml',
    ],
    'test': [
        # TODO [ssaid@20/12/2016]: temporary disable this tests for performance
        # 'tests/clearance_create.yml',
    ],
    "installable": True
}
