# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2013 E-MIPS (http://www.e-mips.com.ar) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, api, exceptions, _


class create_clearance_invoice(models.TransientModel):
    _name = "create.clearance.invoice"
    _description = "Create Clearance Invoice"

    partner_id = fields.Many2one('res.partner', 'Supplier', required=True,domain=[('supplier', '=', True)])

#    def view_init(self, cr, uid, fields_list, context=None):
#        if context is None:
#            context = {}
#        res = super(create_clearance_invoice, self).view_init(cr, uid, fields_list, context=context)
#        record_id = context and context.get('active_id', False) or False
#        clearance = self.pool.get('import.clearance').browse(cr, uid, record_id, context=context)
#        if not tender.line_ids:
#            raise exceptions.except_orm(_('Error!'), _('No Product in Tender.'))
#        return res

    def create_invoice(self, cr, uid, ids, context=None):
        data_pool = self.pool.get('ir.model.data')

        active_ids = context and context.get('active_ids', [])
        data =  self.browse(cr, uid, ids, context=context)[0]
        inv_id = self.pool.get('import.clearance').make_new_invoice(cr, uid, active_ids, data.partner_id.id, context=context)
        # Retornamos la action de la factura de proveedor
        action_model,action_id = data_pool.get_object_reference(cr, uid, 'account', "action_invoice_tree2")
        if action_model:
            action_pool = self.pool.get(action_model)
            action = action_pool.read(cr, uid, action_id, context=context)
            action['domain'] = "[('id','='," + str(inv_id) +")]"
        return action
        #return {'type': 'ir.actions.act_window_close'}

create_clearance_invoice()
