# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2013 E-MIPS (http://www.e-mips.com.ar) All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import models, fields, api, exceptions, _

class clearance_from_invoice(models.TransientModel):
    _name = "clearance.from.invoice"
    _description = "Create Clearance From Invoice"

    def create_clearance(self, cr, uid, ids, context=None):

        if context is None:
            context = {}

        clearance_obj = self.pool.get('import.clearance')
        invoice_obj = self.pool.get('account.invoice')

        inv = invoice_obj.read(cr, uid, context['active_ids'], ['internal_number', 'type', 'state'], context=context)[0]

        vals = {
            'origin': inv['internal_number'],
            'invoice_ids': [(4, inv['id'])],
            }

        clearance_obj.create(cr, uid, vals, context=context)

        return {'type': 'ir.actions.act_window_close'}

clearance_from_invoice()
